API Reference

Generate trade presign data

gethttps://api.circle.com/v1/exchange/stablefx/signatures/presign/{traderType}/{tradeId}

  • Reference
  • Playground

Returns the EIP-712 payload that the trader must sign for a CPS trade.

Path parameters
tradeId
uuid
Required

The ID of the trade.

traderType
string
Required

The type of trader.

Query parameters
recipientAddress
string

The address of the recipient of the trade. Required when the traderType is taker.

Response
RequestChoose a language
ResponseChoose an example
1{
2  "typedData": {
3    "domain": {
4      "name": "FxEscrow",
5      "version": "1",
6      "chainId": 5042002,
7      "verifyingContract": "0x1f91886c7028986ad885ffcee0e40b75c9cd5ac1"
8    },
9    "types": {
10      "EIP712Domain": [
11        {
12          "name": "",
13          "type": ""
14        }
15      ],
16      "Consideration": [
17        {
18          "name": "",
19          "type": ""
20        }
21      ],
22      "TakerDetails": [
23        {
24          "name": "",
25          "type": ""
26        }
27      ],
28      "MakerDetails": [
29        {
30          "name": "",
31          "type": ""
32        }
33      ]
34    },
35    "primaryType": "TakerDetails",
36    "message": {
37      "consideration": {
38        "quoteId": "",
39        "base": "",
40        "quote": "",
41        "baseAmount": "",
42        "quoteAmount": "",
43        "maturity": 1716153600
44      },
45      "fee": 442700,
46      "nonce": 309585810,
47      "deadline": 1763587308,
48      "recipient": "0x379c868f6064d9c0564df05dcca170d64f8aa5e3"
49    }
50  }
51}
Did this page help you?
© 2023-2026 Circle Technology Services, LLC. All rights reserved.